package net.sf.doolin.bus.bean;

/**
 * Notification modes for a {@link Bean}.
 * 
 * @author Damien Coraboeuf
 * 
 */
public enum NotificationMode {

	/**
	 * Notifications are sent immediately to the bus.
	 */
	NORMAL,

	/**
	 * No more notification is sent.
	 */
	STOPPED,

	/**
	 * Notifications are buffered until the notification mode is restored to
	 * NORMAL.
	 */
	BUFFERED;

}
