package net.sf.doolin.bus.support;

/**
 * This subscription validator returns always <code>true</code>.
 * 
 * @author Damien Coraboeuf
 * 
 */
public class DefaultSubscriberValidator implements SubscriberValidator {

	/**
	 * Common instance.
	 */
	public static final DefaultSubscriberValidator INSTANCE = new DefaultSubscriberValidator();

	@Override
	public String getValidatorDescription() {
		return "Always";
	}

	@Override
	public boolean isValid() {
		return true;
	}

}
