package net.sf.doolin.bus;

/**
 * Level of priority for subscription.
 * 
 * @author Damien Coraboeuf
 */
public enum Priority {
	/**
	 * Lowest priority
	 */
	LOWEST,
	/**
	 * Low priority
	 */
	LOW,
	/**
	 * Normal (default) priority
	 */
	NORMAL,
	/**
	 * High priority
	 */
	HIGH,
	/**
	 * Highest priority
	 */
	HIGHEST;
}
