package net.sf.doolin.bus;

public class SubscriberInfo {

	private final Subscriber<?> subscriber;
	private final long registrationTime;

	public SubscriberInfo(Subscriber<?> subscriber, long registrationTime) {
		this.subscriber = subscriber;
		this.registrationTime = registrationTime;
	}

	public long getRegistrationTime() {
		return this.registrationTime;
	}

	public Subscriber<?> getSubscriber() {
		return this.subscriber;
	}

}
