package net.sf.doolin.bus.jmx;

import java.util.Date;

public class BusSubscription implements IBusSubscription {

	private final String name;
	private final String type;
	private final Date registrationTime;

	public BusSubscription(String name, String type, Date registrationTime) {
		this.name = name;
		this.type = type;
		this.registrationTime = registrationTime;
	}

	@Override
	public String getName() {
		return this.name;
	}

	public Date getRegistrationTime() {
		return this.registrationTime;
	}

	@Override
	public String getType() {
		return this.type;
	}

}
